Server logs still show "deprecated parseContent" warnings

Description

our logs are flud with `WARN o.x.v.i.DefaultVelocityEngine - Deprecated usage of method [com.xpn.xwiki.api.XWiki.parseContent] in` :
25:/templates/admin.vm@25,47
25:xwiki:XWiki.AdminSheet@291,31
80:/skins/colibri/docdoesnotexist.vm@25,47
22:/skins/phenotips/edit.vm@89,12
75:/skins/phenotips/view.vm@25,47`

Environment

None

Activity

Show:
Sergiu Dumitriu
November 10, 2018, 8:38 AM

Are you sure this still happens? Can you check in 1.4.1?

Veronika Koltunova
November 10, 2018, 9:47 AM

Build of stable-1.4.x does not have them. Instead, it has those:
Deprecated usage of getter [com.xpn.xwiki.api.XWiki.getSpaces] in 20:xwiki:XWiki.AdminSheet@291,31

Assignee

Sergiu Dumitriu

Reporter

Veronika Koltunova

Labels

None

External issue ID

None

Components

Fix versions

Affects versions

Priority

Medium